<template>
  <div>
    <v-container>
      <v-row class="mx-2">
        <v-col cols="4">
          <v-text-field v-model="selectedValue.name" label="Emri*" />
        </v-col>
        <v-col cols="4">
          <v-row>
            <v-col cols="6" class="py-0">
              <v-select
                v-model="selectedCountry"
                :items="countries"
                item-text="name"
                menu-props="auto"
                label="Shteti"
                return-object
                hide-details
                single-line
              />
            </v-col>
            <v-col cols="6" class="py-0">
              <v-text-field v-model="selectedValue.nuis" label="NUIS*" />
            </v-col>
          </v-row>
        </v-col>
        <v-col cols="4">
          <v-text-field v-model="selectedValue.email" label="Email*" />
        </v-col>
      </v-row>
      <v-row class="mx-2">
        <v-col cols="4">
          <v-text-field v-model="selectedValue.website" label="Website" />
        </v-col>
        <v-col cols="4">
          <v-text-field v-model="selectedValue.mobile_phone" label="Celular*" />
        </v-col>
        <v-col cols="4">
          <v-text-field v-model="selectedValue.points" label="Piket" />
        </v-col>
      </v-row>
      <v-row class="mx-2">
        <v-col cols="12">
          <v-text-field v-model="selectedValue.notes" label="Shënime" />
        </v-col>
      </v-row>
      <v-divider class="mt-6"></v-divider>
      <v-expansion-panels flat>
        <v-expansion-panel>
          <v-expansion-panel-header>
            Më shumë detaje
          </v-expansion-panel-header>
          <v-expansion-panel-content>
            <v-row>
              <v-col cols="4">
                <industry-select v-model="selectedValue.industry_type_id" />
              </v-col>
              <v-col cols="4">
                <business-type-select
                  v-model="selectedValue.business_type_id"
                />
              </v-col>
              <v-col cols="4">
                <payment-term-select v-model="selectedValue.payment_term_id" />
              </v-col>
            </v-row>
            <v-row>
              <v-col cols="4">
                <city-select v-model="selectedValue.city_id" />
              </v-col>
            </v-row>
          </v-expansion-panel-content>
        </v-expansion-panel>
      </v-expansion-panels>
      <v-row class="mx-2">
        <v-col cols="4">
          <v-checkbox
            v-model="selectedValue.is_with_vat"
            label="Është subjekt TVSH-je"
          />
        </v-col>
        <v-col cols="4">
          <v-checkbox
            v-model="selectedValue.is_with_monthly_payments"
            label="Është me pagesë mujore"
          />
        </v-col>
        <v-col cols="4">
          <v-checkbox
            v-model="selectedValue.only_einvoice"
            label="Vetëm fatura elektronike"
          />
        </v-col>
      </v-row>
    </v-container>
  </div>
</template>
<script lang="ts">
import Vue from 'vue'
import { Component, Prop } from 'vue-property-decorator'
import IndustrySelect from '../../../components/selects/IndustrySelect.vue'
import BusinessTypeSelect from '../../../components/selects/BusinessTypeSelect.vue'
import PaymentTermSelect from '../../../components/selects/PaymentTermSelect.vue'
import CitySelect from '../../../components/selects/CitySelect.vue'

@Component({
  components: {
    IndustrySelect,
    BusinessTypeSelect,
    PaymentTermSelect,
    CitySelect,
  },
})
export default class CreateClientForm extends Vue {
  @Prop({ type: Object, required: true }) value

  selectedCountry = {}
  countries = [
    { name: 'Albania', country_code: 'ALB', country_number: '9923' },
    { name: 'Germany', country_code: 'GRM', country_number: '0022' },
    { name: 'Italy', country_code: 'ITL', country_number: '2255' },
    { name: 'England', country_code: 'ENG', country_number: '7788' },
    { name: 'Slovenia', country_code: 'SLV', country_number: '9955' },
  ]

  get selectedValue() {
    return this.value
  }
  set selectedValue(newValue) {
    this.$emit('input', newValue)
  }
}
</script>
